# ionoscloud\_dns\_zone

The **DNS Zone** can be used to search for and return an existing DNS Zone. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned. When this happens, please refine your search and make sure that your resources have unique names.

> ⚠️ Only tokens are accepted for authorization in the **ionoscloud\_dns\_zone** data source. Please ensure you are using tokens as other methods will not be valid.

## Example Usage

### By ID

```hcl
data "ionoscloud_dns_zone" "example" {
  id = "zone_id"
}
```

### By name

```hcl
data "ionoscloud_dns_zone" "example" {
  name = "example.com"
}
```

### By name with partial match

```hcl
data "ionoscloud_dns_zone" "example" {
  name = "example"
  partial_match = true
}
```

## Argument reference

* `id` - (Optional)\[string] The ID of the DNS Zone you want to search for.
* `name` - (Optional)\[string] The name of the DNS Zone you want to search for.
* `partial_match` - (Optional)\[bool] Whether partial matching is allowed or not when using name argument. Default value is false.

Either `id` or `name` must be provided. If none, or both are provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - The UUID of the DNS Zone.
* `name` - The name of the DNS Zone.
* `description` - The description of the DNS Zone.
* `enabled` - Indicates if the DNS Zone is activated or not.
* `nameservers` - A list of available name servers.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/dns_zone.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
